gcc-mingw-w64 (29) unstable; urgency=medium

  * Switch to gcc-16. Closes: #1144294.
  * Standards-Version 4.7.4, no change needed.

 -- Stephen Kitt <skitt@debian.org>  Mon, 17 Aug 2026 12:40:56 +0200

gcc-mingw-w64 (28.3) unstable; urgency=medium

  * Disable elfpackagemetadata in target builds.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Jan 2026 13:24:13 +0100

gcc-mingw-w64 (28.2) unstable; urgency=medium

  [ Stephen Kitt ]
  * Start adding autopkgtests, with the reproducer for #1121403.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.

  [ Konstantin Demin ]
  * Refresh patches.
  * Bump debhelper to 13.
  * d/copyright: switch to https:.
  * Disable NLS for the bootstrap package.
  * Prevent packages from triggering ldconfig.
  * Fix stripping of UCRT binaries.

 -- Stephen Kitt <skitt@debian.org>  Tue, 27 Jan 2026 09:00:04 +0100

gcc-mingw-w64 (28.1) unstable; urgency=medium

  * Drop rtinit-stdlib.patch, fixed in gcc-15 15.2.0-11 with ada/123037.
    Closes: #1124161.

 -- Stephen Kitt <skitt@debian.org>  Tue, 30 Dec 2025 14:55:24 +0100

gcc-mingw-w64 (28) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark cross toolchain packages Multi-Arch: foreign. Closes: #1106098.

  [ Stephen Kitt ]
  * Switch to GCC 15.
  * Ignore “no-code-sections” errors, Lintian doesn’t handle PE
    libraries.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

  [ Konstantin Demin ]
  * Remove obsolete binutils version constraint.

 -- Stephen Kitt <skitt@debian.org>  Fri, 07 Nov 2025 09:30:04 +0100

gcc-mingw-w64 (27) unstable; urgency=medium

  [ Konstantin Demin ]
  * Switch to GCC 14. Closes: #1092654.

  [ Stephen Kitt ]
  * Use versioned gnat binaries by adding links to their default
    equivalents in a local directory. This allows the build to use a
    gnat-... package without depending on the default gnat package.
  * Drop references to gnatfind and gnatxref, removed in GCC 12.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 02 Mar 2025 20:11:13 +0100

gcc-mingw-w64 (26.8) unstable; urgency=medium

  * Limit the gnat-mingw-w64-ucrt64 architectures to those where gnat is
    available.
  * Add missing Replaces/Conflicts between the bootstrap and regular
    C/C++ compiler packages. Closes: #1093747.

 -- Stephen Kitt <skitt@debian.org>  Fri, 07 Feb 2025 07:51:32 +0100

gcc-mingw-w64 (26.7) unstable; urgency=medium

  * Refactor flag construction, drop --as-needed for the host since
    that’s the toolchain default.
  * Always build the bootstrap package.
  * Remove build directories once they’re installed to reduce disk space
    requirements.
  * Make the bootstrap package ship its own documentation instead of
    depending on the base package. This simplifies dependency resolution
    for the package in experimental, and means the base package can be
    dropped in stage1.
  * Provide UCRT cross-compilers, targeting POSIX threads to match Fedora
    and MSYS2. Closes: #1038210.
  * Include stdlib.h in rtinit for gnat.
  * d/rules: $(COMMA) isn’t defined, use $(comma) instead.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Jan 2025 18:54:00 +0100

gcc-mingw-w64 (26.6) unstable; urgency=medium

  * When adjusting parallelism to limit per-CPU memory usage, clamp the
    result between 1 and the number of available CPUs inclusive. Thanks
    to Santiago Vila for the patch! Closes: #1088874.
  * Evaluate flags when declaring them. This fixes the build with Make
    4.4.

 -- Stephen Kitt <skitt@debian.org>  Wed, 04 Dec 2024 07:36:40 +0100

gcc-mingw-w64 (26.5) unstable; urgency=medium

  * libgfortran doesn’t handle _FOR_TARGET flags, so explicitly set
    FCFLAGS to the target flags, and avoid using dh_auto_configure so
    that the flags variables aren’t reset.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 Oct 2024 13:20:10 +0200

gcc-mingw-w64 (26.4) unstable; urgency=medium

  [ Konstantin Demin ]
  * Remove obsolete variables and dh_gencontrol flags.
  * Handle spaces in spelling fixes correctly.
  * Simplify version variable construction.
  * Verbose debhelper by default.

  [ Stephen Kitt ]
  * Simplify bootstrap handling in debian/rules.
  * Switch to short dh rules, bumping to debhelper compatibility level
    10.
  * Stop requiring the runtime packages in the stage1 profile.
  * d/rules: consistently use expected/actual argument order in
    ifeq/ifneq.
  * When cleaning up runtime .install files, check for ADA in the list
    of languages, not the arches.
  * Rely on the build profile to “filter” debian/control.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Oct 2024 20:09:27 +0200

gcc-mingw-w64 (26.3) unstable; urgency=medium

  * Give an absolute path to debian/changelog as a reference for touch.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Mar 2024 06:38:05 +0100

gcc-mingw-w64 (26.2) unstable; urgency=medium

  * Never undefine _REENTRANT; this ensures it’s always defined when
    appropriate (and only when appropriate). Closes: #792909.
  * Don’t treat missing function declarations as errors when building
    for Windows, the 64-bit time_t change is irrelevant there. Closes:
    #1066350.
  * As suggested by Konstantin Demin, reset the timestamp on BASE-VER
    after changing it to avoid unwanted rebuilds.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Mar 2024 23:20:17 +0100

gcc-mingw-w64 (26.1) unstable; urgency=medium

  * Add missing find arguments...

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Sep 2023 20:34:25 +0200

gcc-mingw-w64 (26) unstable; urgency=medium

  * Switch to GCC 13.
  * Drop breaks/conflicts for old package splits, the affected versions
    are all obsolete.
  * Use find -exec instead of piping find’s output into xargs.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Sep 2023 18:22:52 +0200

gcc-mingw-w64 (25.3) unstable; urgency=medium

  * Stop setting the build timestamp manually, ld takes care of that
    itself now. Closes: #1052220.

 -- Stephen Kitt <skitt@debian.org>  Thu, 21 Sep 2023 07:23:25 +0200

gcc-mingw-w64 (25.2) unstable; urgency=medium

  [ Konstantin Demin ]
  * Restore the ability to parallel-install POSIX and Win32 thread
    variants.
  * Install g++-mapper-server in the g++ packages.

  [ Stephen Kitt ]
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Jan 2023 17:40:24 +0100

gcc-mingw-w64 (25.1) unstable; urgency=medium

  * Correctly remove the g++-mingw-w64-x86-64-win32 alternative. Closes:
    #1026306.
  * Update Lintian overrides to the new format.

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 Dec 2022 22:03:42 +0100

gcc-mingw-w64 (25) unstable; urgency=medium

  * Upgrade to GCC 12. Closes: #1023679. It is no longer possible to tweak
    the installation directory for different thread models, so the -posix
    and -win32 packages are no longer co-installable.
  * Drop “Built-Using” from “Architecture: all” packages.
  * Since the POSIX and Win32 packages are no longer co-installable,
    drop support for alternatives and use symlinks to provide the full
    set of command names.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Dec 2022 09:00:34 +0100

gcc-mingw-w64 (24.4) unstable; urgency=medium

  * Fix building without vsnprintf. Closes: #1009481.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Apr 2022 12:34:36 +0200

gcc-mingw-w64 (24.3) unstable; urgency=medium

  * Add gnatgcc links, attached to the gnat links; this allows gprbuild to
    find the appropriate gcc. Closes: #932969.
  * Drop the asterisk from NEWS, to follow best practices as documented
    in <https://www.debian.org/doc/manuals/developers-reference/best-
    pkging-practices.html#supplementing-changelogs-with-news-debian-
    files>.
  * Make 4.3 broke the space construction in debian/rules, use a space
    directly instead.
  * Mark gcc-mingw-w64-base as “Multi-Arch: same”. Closes: #986615.
  * Enforce the use of /bin/sed to ensure reproducibility across
    usrmerge; thanks to Vagrant Cascadian for the patch. Closes:
    #991020.
  * Drop the obsolete patch-file-present-but-not-mentioned-in-series
    Lintian override.
  * Override the non-standard-file-perm Lintian warning for ALI files.
  * Fix the spelling of “shouldn’t”.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Feb 2022 17:25:46 +0100

gcc-mingw-w64 (24.2) unstable; urgency=medium

  * Fix gcov handling: we need to tell GCC that we have headers, without
    telling it where, and then we need to correct its default assumption
    about where they are. Closes: #989862. LP: #1883933, #1920988.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Jun 2021 18:54:10 +0200

gcc-mingw-w64 (24.1) unstable; urgency=medium

  * Update gcc-mingw-w64-base’s README.Debian with the switch to Dwarf2.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Jan 2021 17:39:15 +0100

gcc-mingw-w64 (24) unstable; urgency=medium

  * Following MSYS2 and Fedora’s example (among others), switch from SJLJ
    exception handling to Dwarf2; this will help the Rust toolchain in
    particular. Closes: #540782.
  * Rename binary-without-manpage override to no-manual-page.
  * Install ada_target_properties files.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Nov 2020 15:01:02 +0100

gcc-mingw-w64 (23) unstable; urgency=medium

  * Enable gnat on architectures where gnat-10 is available.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sat, 30 May 2020 17:35:02 +0200

gcc-mingw-w64 (23~exp1) experimental; urgency=medium

  * Allow building without gnat (on m68k and in preparation for early
    GCC 10 packages).
  * Hard-code the replacement versions following the per-thread-model
    and runtime splits.
  * Ensure debian/control is rebuilt if debian/rules changes.
  * Build with GCC 10.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Apr 2020 20:44:55 +0200

gcc-mingw-w64 (22) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Fri, 27 Mar 2020 12:28:04 +0100

gcc-mingw-w64 (22~exp3) experimental; urgency=medium

  * Adjust gm2 extraction to allow building with current versions of gcc-
    9-source.
  * Handle symlink conversions for the new meta-packages. Closes:
    #950090.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 26 Mar 2020 20:56:24 +0100

gcc-mingw-w64 (22~exp2) experimental; urgency=medium

  * Add alternatives for gcov-dump and gcov-tool.
  * Bootstrap debian/control for stage1.
  * When bootstrapping, only build the default threading model, avoiding
    the need for alternatives. Closes: #838879.
  * When bootstrapping, build with the default compiler, and drop the
    gnat requirement.
  * Split the POSIX/Win32 threading model variants into separate
    packages.
  * Handle debian/control as a real target, not a phony target with a
    stamp file.
  * Ship the DLLs in separate runtime packages. LP: #1235983.
  * Fix more spelling mistakes flagged by Lintian.
  * Update licensing information.

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Dec 2019 23:14:44 +0100

gcc-mingw-w64 (22~exp1) experimental; urgency=medium

  * Build using GCC 9. Closes: #944167.

 -- Stephen Kitt <skitt@debian.org>  Thu, 12 Sep 2019 09:02:16 +0200

gcc-mingw-w64 (21.5) unstable; urgency=medium

  * Use unaligned VMOV instructions to avoid crashes caused by mis-aligned
    values; thanks to Claude Heiland-Allen for the patch! Closes: #939559.
  * Standards-Version 4.4.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 11 Sep 2019 07:39:39 +0200

gcc-mingw-w64 (21.4) unstable; urgency=medium

  * Drop our patch for 88568 since it’s been merged in gcc-8-source.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Jul 2019 13:16:39 +0200

gcc-mingw-w64 (21.3) unstable; urgency=medium

  * Configure LTO support correctly; thanks Alexey Izbyshev!
    Closes: #928214.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Jun 2019 08:59:34 +0200

gcc-mingw-w64 (21.2) unstable; urgency=medium

  * Apply upstream dllimport fix for static data members.
    Closes: #923214.
  * Explicitly enable std::filesystem, with the appropriate upstream
    patch. Closes: #925172.

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Apr 2019 17:06:11 +0200

gcc-mingw-w64 (21.1) unstable; urgency=medium

  * Avoid attempting to strip plugins using the target strip; should fix
    the build on mips64el.
  * Update patches for gcc-8 8.2.0-21.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Feb 2019 15:43:56 +0100

gcc-mingw-w64 (21) unstable; urgency=medium

  * GCC 8 needs binutils 2.30 or later (see
    https://bugzilla.redhat.com/show_bug.cgi?id=1552529 for details).
  * Back-port std::filesystem fixes from GCC 9 (closes: #907369).
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 05 Feb 2019 14:41:39 +0100

gcc-mingw-w64 (21~exp2) experimental; urgency=medium

  * Rebuild with the updated ada-gcc-name patch.

 -- Stephen Kitt <skitt@debian.org>  Mon, 30 Jul 2018 16:32:45 +0200

gcc-mingw-w64 (21~exp1) experimental; urgency=medium

  * Link to the secure version of the homepage.
  * Build using GCC 8 (closes: #915733). This disables
    experimental::filesystem support for the time being and fixes the
    following issues:
      - builds with weak references are now handled correctly
        (closes: #890726);
      - the packed attribute is handled (closes: #796209).
  * Remove the hard-coded GCC version in as many packaging files as
    possible.

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Jul 2018 21:34:35 +0200

gcc-mingw-w64 (20.3) unstable; urgency=medium

  * Migrate to Salsa.
  * Add Lintian overrides for the non-PIE binaries.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 May 2018 09:42:59 +0200

gcc-mingw-w64 (20.2) unstable; urgency=medium

  * Adjust to build with gcc-7-source 7.2.0-20 (closes: #888317).
  * Update the alternatives to use gcc-7 rather than the obsolete -6.
  * Drop versioned dependencies for build-dependencies available in
    oldstable.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Jan 2018 23:21:56 +0100

gcc-mingw-w64 (20.1) unstable; urgency=medium

  * Specify the header location; as a side-effect, this re-enables gcov
    properly (closes: #854368).
  * Refresh all patches for gcc-7-source 7.2.0-19 (closes: #887762);
    switch to quilt to apply the patches, and document its use.
  * Standards-Version 4.1.3, no change required.
  * Simplify the binutils-mingw-w64 build-dependencies.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Jan 2018 12:11:38 +0100

gcc-mingw-w64 (20) unstable; urgency=medium

  * Drop the old Recommends from gcc-mingw-w64 to g++-mingw-w64,
    gfortran-mingw-w64 and gnat-mingw-w64 (thanks to Adam Borowski for
    pointing out that they were still there; closes: #875263).
  * Build using GCC 7 (Closes: #881426).
  * Switch priority from “extra” to “optional”.
  * Use pkg-info.mk instead of dpkg-parsechangelog.
  * Drop debian/watch, it’s rather pointless in this package.
  * Apply niXman’s patch to enable experimental::filesystem support
    (Closes: #847379).
  * Merge gnat packaging back in, now that gnat itself is produced using
    the gcc source package.
  * Use dh_missing instead of dh_install --list-missing.
  * Standards-Version 4.1.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 05 Dec 2017 18:24:08 +0100

gcc-mingw-w64 (19.3) unstable; urgency=medium

  * Copy gcov-dump.texi (Closes: #860607).

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Apr 2017 11:36:36 +0200

gcc-mingw-w64 (19.2) unstable; urgency=medium

  * Enable libatomic, using Richard Purdie's patch from
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=55930 (Closes: #844617).
  * Add more spelling fixes.
  * Disable the bootstrap package for now, the bootstrap sequence is
    broken (#838879) and having a bootstrap package entails a trip through
    NEW for every upload.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Nov 2016 00:11:26 +0100

gcc-mingw-w64 (19.1) unstable; urgency=medium

  * Upload to unstable.
  * Disable PIE, it causes issues with pre-compiled headers.
  * Disable package mangling in Launchpad (thanks to Dimitri John Ledkov
    for the Ubuntu patch).
  * Build-depend on libisl-dev instead of libcloog-isl-dev (Closes:
    #833579).
  * Use a token for the GCC version in debian/control.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Aug 2016 17:24:54 +0200

gcc-mingw-w64 (19) experimental; urgency=medium

  * Build with gcc-6.
  * Remove obsolete hardening overrides.

 -- Stephen Kitt <skitt@debian.org>  Tue, 14 Jun 2016 22:37:44 +0200

gcc-mingw-w64 (18) unstable; urgency=medium

  * Use build-profiles for bootstrapping.
  * Fix the spelling mistakes flagged by Lintian.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.8, no further change required.
  * Switch to debhelper compatibility level 9.
  * Enable hardening for host binaries.
  * Hard-code the shell in mkheaders (this should make the build
    reproducible again).

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 Jun 2016 21:41:48 +0200

gcc-mingw-w64 (17) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Rebuild with binutils-mingw-w64 6.6, to ensure that DLLs are built
    correctly (Closes: #814425).
  * Move libcaf_single.a to the Fortran packages.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Feb 2016 12:45:44 +0100

gcc-mingw-w64 (16) unstable; urgency=medium

  * Build with gcc-5.
  * Use base_version for BASE-VER (gcc-5 is actually gcc-5.1).
  * Disable libatomic, it doesn't build currently.

 -- Stephen Kitt <skitt@debian.org>  Sun, 29 Nov 2015 20:08:39 +0100

gcc-mingw-w64 (15.7) unstable; urgency=medium

  * Use LC_ALL to fix sort's collation order in all cases (LC_COLLATE
    isn't sufficient since LC_ALL overrides it).
  * Build-depend on gcc-4.9 4.9.3 or later, which includes the symtab
    fix.

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 Sep 2015 08:02:11 +0200

gcc-mingw-w64 (15.6) unstable; urgency=medium

  * Allow building the architecture-independent packages on their own.

 -- Stephen Kitt <skitt@debian.org>  Sun, 30 Aug 2015 15:06:54 +0200

gcc-mingw-w64 (15.5) unstable; urgency=medium

  * Sort macro_list reproducibly.
  * Ship executable DLLs (Closes: #796223).
  * Lintian no longer complains about "tEH", so remove the override.

 -- Stephen Kitt <skitt@debian.org>  Sat, 29 Aug 2015 23:23:18 +0200

gcc-mingw-w64 (15.4) unstable; urgency=medium

  * The arch-independent packages no longer link to /usr/share/doc/gcc-
    mingw-w64-base.
  * Support appropriate versions of binutils-mingw-w64 in Ubuntu
    (Closes: #789159).

 -- Stephen Kitt <skitt@debian.org>  Thu, 18 Jun 2015 22:50:38 +0200

gcc-mingw-w64 (15.3) unstable; urgency=medium

  * Don't link the arch-indep packages to gcc-mingw-w64-base (Closes:
    #789024).
  * Document the differences between the Windows and POSIX threading
    variants (Closes: #787171).

 -- Stephen Kitt <skitt@debian.org>  Wed, 17 Jun 2015 23:27:56 +0200

gcc-mingw-w64 (15.2) unstable; urgency=medium

  * debhelper 9.20150501 fixes #747141, the binary dependencies no longer
    need fixing.
  * Specify the PE timestamp using the changelog's date.

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Jun 2015 23:42:26 +0200

gcc-mingw-w64 (15.1) unstable; urgency=medium

  * Add upstream patch to fix symtab (Closes: #779526).

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Mar 2015 20:54:25 +0100

gcc-mingw-w64 (15) unstable; urgency=medium

  * Drop mingw32 transitional package (Closes: #773342).
  * Adjust the gfortran lintian overrides to work regardless of the
    exact version.
  * Standards-Version 3.9.6, no change required.
  * Update spelling fixes.
  * Override lintian's hardening warnings, hardening isn't supported
    yet.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Jan 2015 18:33:36 +0100

gcc-mingw-w64 (14.3) testing-proposed-updates; urgency=medium

  * Properly replace /usr/share/doc/mingw32 with a symlink to
    /usr/share/doc/gcc-mingw-w64-base (Closes: #773342).
  * Upload directly to testing-proposed-updates as requested by the
    release team (see #773490).

 -- Stephen Kitt <skitt@debian.org>  Thu, 18 Dec 2014 07:23:13 +0100

gcc-mingw-w64 (14.2) unstable; urgency=medium

  * Ensure README.Debian is installed in gcc-mingw-w64-base (Closes:
    #757259).

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Aug 2014 19:00:16 +0200

gcc-mingw-w64 (14.1) unstable; urgency=medium

  * Take the threading model into account when stripping libraries.

 -- Stephen Kitt <skitt@debian.org>  Thu, 31 Jul 2014 07:27:45 +0200

gcc-mingw-w64 (14) unstable; urgency=medium

  * Provide compilers using Windows and POSIX threads. The default setup
    uses Windows threads, thus avoiding the dependency on the pthreads DLL
    (Closes: #748353, #750741).
  * Use the default exception-handling (SJLJ on 32-bit Windows, SEH on
    64-bit Windows). (With the above, LP: #1338043.)
  * Build a mingw32 transition package (Closes: #756142):
    - C++ code with interface/implementation pragmas links correctly
      (Closes: #179760);
    - libstdc++.la is no longer shipped (Closes: #281030);
    - the libstdc++ DLL is provided (Closes: #317146);
    - _NO_OLD_NAMES doesn't break unistd.h (Closes: #338412);
    - the gccbug manpage is no longer linked to (Closes: #351790);
    - the package description doesn't mention "freedom through
      obsolescence" (Closes: #403720);
    - g77 is provided (Closes: #418167);
    - nothing is installed in /usr/libexec (Closes: #470574);
    - Lintian overrides are correct (Closes: #470873);
    - powf and sinf can be used in the same project (Closes: #484299);
    - there's no "it's"/"its" typo in the Debian-specific files (Closes:
      #498400);
    - the package builds gcc 4.9 (Closes: #514186);
    - a 64-bit compiler is available (Closes: #514187);
    - powf is defined correctly (Closes: #525016);
    - no compilercache symlinks are shipped (Closes: #583262).
  * Ship the C++ header files in the default location instead of
    /usr/include/c++/; this avoids having to introduce a new package for
    the target-independent headers.
  * Remove obsolete gnat files.

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Jul 2014 01:41:35 +0200

gcc-mingw-w64 (13) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 May 2014 20:39:11 +0200

gcc-mingw-w64 (12+exp1) experimental; urgency=medium

  * Build with gcc 4.9.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Feb 2014 22:59:48 +0100

gcc-mingw-w64 (12) unstable; urgency=medium

  * Move the Ada packages to a new source package, to reduce the porting
    burden required to make gcc-mingw-w64 available on a new
    architecture (and the packages that build-depend on it).
  * The Windows linker doesn't support build ids, stop trying to enable
    them.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Jan 2014 15:40:32 +0100

gcc-mingw-w64 (11) unstable; urgency=medium

  * Stop building gnat on armhf, it doesn't work currently.
  * Stop installing the plugin development headers, they break the build
    on ia64 and aren't used anywhere.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Jan 2014 08:21:16 +0100

gcc-mingw-w64 (10) unstable; urgency=low

  * Build with gcc 4.8:
    - stringstream ignores _GLIBCXX_DEBUG (Closes: #703935);
    - update debian/copyright using that from gcc-4.8;
    - switch to libcloog-isl-dev.
  * Enable POSIX threads support using winpthreads (Closes: #697220).
  * Enable OpenMP support (Closes: #571773).
  * Drop the transitional gcc-mingw32 package.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Nov 2013 00:04:30 +0100

gcc-mingw-w64 (9) unstable; urgency=low

  * Use dpkg-vendor instead of lsb-release; thanks to Didier 'OdyX' Raboud
    for the patch (Closes: #671725).
  * Drop references to mingw-w64-dev (Closes: #726283).
  * Add README.Debian describing the gcc configuration (Closes: #540733).
  * Switch to my Debian address and drop DMUA.
  * Use canonical VCS URIs.
  * Standards-Version 3.9.4, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 Oct 2013 07:22:06 +0200

gcc-mingw-w64 (8) unstable; urgency=low

  * Replace /usr/share/doc/gcc-mingw32 with a symlink when necessary
    (Closes: #690148).
  * Provide amd64 compatibility symlinks in gcc-mingw32, preserving the
    functionality of the Squeeze version (Closes: #695736); add g++
    compatibility symlink (Closes: #682257).

 -- Stephen Kitt <steve@sk2.org>  Wed, 12 Dec 2012 07:30:14 +0100

gcc-mingw-w64 (7) unstable; urgency=low

  * When upgrading from versions where /usr/share/doc/gcc-mingw-w64 is a
    directory, force its replacement with a symlink (Closes: #683617).

 -- Stephen Kitt <steve@sk2.org>  Wed, 08 Aug 2012 08:21:56 +0200

gcc-mingw-w64 (6) unstable; urgency=low

  * Handle the different split-package versions in Ubuntu and Debian.
  * Add transitional "Recommends" so that gcc-mingw-w64 pulls in the
    compilers it used to provide (LP: #992217).
  * Make gcc-mingw32 install compatibility symlinks for binaries and
    manpages formerly provided by mingw32-binutils (LP: #992161).
  * Enable Ada support on armhf and hurd-i386 now that gnat-4.6 is
    available there.

 -- Stephen Kitt <steve@sk2.org>  Sat, 05 May 2012 12:33:32 +0200

gcc-mingw-w64 (5) unstable; urgency=low

  * Add the DMUA flag set by Didier Raboud to the control.source file.
  * Add a warning to the generated debian/control file indicating that
    it shouldn't be modified directly.
  * Fix the version for Breaks/Replaces at 4.6.3-3+4, since this is the
    earliest version of the post-split package in the archive. Fixing
    the version avoids making the package set uninstallable.

 -- Stephen Kitt <steve@sk2.org>  Wed, 18 Apr 2012 15:04:47 +0200

gcc-mingw-w64 (4) unstable; urgency=low

  [ Stephen Kitt ]
  * Split package into gcc, g++, gfortran and gnat packages.
  * Enable the Objective-C and Objective-C++ compilers.
  * Split package into 32- and 64-bit specific versions (-i686 and
    -x86-64) - see thread starting at
    http://lists.debian.org/4EBA730A.7060707@greffrath.com for rationale.
  * Build with gcc-4.6 explicitly, at least until gnat-4.7 is available
    (Closes: #667173).
  * Standards-Version 3.9.3, no change required.
  * Provide a transitional gcc-mingw32 package for backwards-
    compatibility (Closes: #644769); in addition, with regards to bugs
    filed against gcc-mingw32:
    - gcc-mingw-w64's version of mm_malloc.h is correct (Closes: #651300);
    - gcc-mingw-w64 compiles programs (Closes: #658619);
    - gcc-mingw-w64 provides shared versions of libgcc and libstdc++
      (Closes: #540783);
    - the packages' dependency structure ensures that the various compiler
      packages depend on the appropriate development packages (Closes:
      #567698).
  * Update debian/copyright using the version provided by gcc-4.6.

  [ Didier Raboud ]
  * Confidently set the DM-Upload-Allowed flag to yes.

 -- Stephen Kitt <steve@sk2.org>  Mon, 16 Apr 2012 08:46:45 +0200

gcc-mingw-w64 (3) unstable; urgency=low

  * Disable Ada support on armhf and hurd-i386 for now, based on a patch
    by Peter Green (Closes: #658526).
  * Wrap-and-sort debian/control.full.
  * Check before moving libraries, when bootstrapping there is nothing
    to move.
  * Update debian/control.bootstrap with changes made to
    debian/control.full.
  * Add spelling fix for "writting".

 -- Stephen Kitt <steve@sk2.org>  Sun, 12 Feb 2012 23:24:00 +0100

gcc-mingw-w64 (2) unstable; urgency=low

  * Export all relevant flags from dpkg-buildflags; in particular this
    allows building with a stack-protector-enabling compiler (as on
    Ubuntu).

 -- Stephen Kitt <steve@sk2.org>  Mon, 24 Oct 2011 01:18:56 +0200

gcc-mingw-w64 (1) unstable; urgency=low

  * Include Ada support (Closes: #632375). Build-depend on gcc-4.6-source
    4.6.1-5 or later to get the required upstream fixes.
  * Stop trying to ship libiberty, upstream no longer supports it
    (Closes: #634567).
  * Protect intrinsics in C++ code (Closes: #633552).
  * Provide shared versions of DLL-compatible libraries (Closes:
    #625778). The appropriate DLLs may have to be shipped with the
    resulting binaries, unless static build options are used (-static,
    -static-libgcc and/or -static-libstdc++).
  * Re-organise configure flags and update them as used upstream.
  * Switch to single-number versions and add the gcc-mingw-w64 version to
    the resulting binary package's version.
  * Disable hardening with dpkg-dev >= 1.16.1 for now (until the gcc-4.6
    package supports it).
  * Correct uses of "informations" in output code.

 -- Stephen Kitt <steve@sk2.org>  Tue, 27 Sep 2011 06:30:03 +0200

gcc-mingw-w64 (0.3) unstable; urgency=low

  * Ship libiberty (Closes: #626117).
  * Enable fully dynamic strings (Closes: #626956).
  * Switch to gcc 4.6.
  * Install the LTO plugin (Closes: #625901).
  * Require binutils 2.21.51.20110523 to avoid LTO-related segfaults (see
    http://sourceware.org/bugzilla/show_bug.cgi?id=12693 for details).
  * Avoid attempting to build libstdc++-pic.a.
  * Drop leading "The" from the package description.
  * Strip the libraries.
  * Build-depend on libcloog-ppl-dev to enable extra optimisations.
  * Link with "--as-needed" to limit dependencies to those actually
    needed.

 -- Stephen Kitt <steve@sk2.org>  Tue, 31 May 2011 23:40:07 +0200

gcc-mingw-w64 (0.2) unstable; urgency=low

  * Allow building on all architectures.
  * Enable LTO support (Closes: #623711).
  * Standards-Version 3.9.2, no change required.

 -- Stephen Kitt <steve@sk2.org>  Sat, 30 Apr 2011 23:54:55 +0200

gcc-mingw-w64 (0.1) unstable; urgency=low

  * Initial release (Closes: #602997).

 -- Stephen Kitt <steve@sk2.org>  Tue, 16 Nov 2010 12:52:08 +0100
